<?php
function data2array($sql) {

	$resultaat = mysql_query($sql) or die("Kan de query niet uitvoeren!");

	// zet de velden bovenaan de tabel
	$aantal = mysql_num_fields($resultaat);
	for ($nr=0; $nr < $aantal; $nr++) {

		$veldnaam[$nr] = strtolower(mysql_field_name($resultaat, $nr));

	}
	$rijen = mysql_num_rows($resultaat);
	$rijen_resultaat = array();
	if ($rijen > 0) {
		for ($nr=0; $nr < $rijen; $nr++) {
			$deze_rij = array();
			for ($velden=0; $velden < $aantal; $velden++) {
				$waarde = mysql_result($resultaat, $nr, $velden);
				$deze_rij[$veldnaam[$velden]] = $waarde; 
			}
			$rijen_resultaat[] = $deze_rij;
		}
	}
	return $rijen_resultaat;
}
?>
